<?php
include "scrinit.php";
include $menu;
require "dbconnect.php";
$dt=$_SESSION['dt'];
?>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Ανέβασμα Ωρολογίου</title>
</head>
<body>

<h1>Εισαγωγή Στοιχείων Προσωπικού</h1>
<?php
$sql1 = $dbcon->prepare("SELECT hpass FROM parameters " );
	$sql1->execute();
	$row1=$sql1->fetch(PDO::FETCH_ASSOC);
	$hpass=$row1['hpass'];
?>
<form  method="post" enctype="multipart/form-data">
    Επιλέξτε το αρχείο CSV με τα στοιχεία του Προγράμματος:
    <input type="file" name="fileToUpload" id="fileToUpload">
	<br>
	<p> Οι στήλες στο αρχείο να μην έχουν τίτλους και να έχουν την σειρά: </p>
	<p><b>ΠΜΠ,Ονοματεπώνυμο-ίδιο με timetable,Ειδικότητα,Ωρες στο σχολείο,Επίπεδο πρόσβασης,Κινιτό,Αρ. Αναπληρώσεων</b></p>
    <br>
	<p>Αρχικός Κωδικός Χρήστη - Common Password: <input type="text" name="pw" > </p>
    
    <p>Κωδικοποίηση χαρακτήρων αρχείου (character encoding): <select name="charset">
       <option value="Windows-1253" selected>Windows-1253</option>
       <option value="ISO-8859-7">ISO-8859-7</option>
    </select>
    <p>Χαρακτήρας οριοθέτησης πεδίων (Delimiter): <select name="delim">
       <option value=";" selected>;</option>
       <option value=",">,</option>
    </select>
	<input type="hidden" name="hp" value="$hpass" >
    <p><input type="submit" value="ΑΝΕΒΑΣΜΑ ΑΡΧΕΙΟΥ" name="submit">
</form>
<?php
if (isset($_POST['submit'])) {
    if (is_uploaded_file($_FILES['fileToUpload']['tmp_name'])) {
        echo "<h1>" . "File ". $_FILES['fileToUpload']['name'] ." uploaded successfully." . "</h1>";

	$fd=fopen($_FILES['fileToUpload']['tmp_name'],'r');
	$charset = $_POST['charset'];
	$delim = $_POST['delim'];
	$filex=$_FILES['fileToUpload'];
        echo "<h2>Charset:" . $charset . "</h2>";
        echo "<h2>Delimiter:" . $delim . "</h2>";
        echo "<h2>Displaying contents:</h2>";
        echo "<table>\n";
mysqli_query($con,'TRUNCATE TABLE teachers');		
$i=1;
while(! feof($fd))
  {
	$list=fgetcsv($fd,0,$delim);
	for ($j=0;$j<count($list);$j++) {
		$list[$j] = $list[$j] == "" ? 'NULL' : iconv($charset,'UTF-8', $list[$j]);
	}
	$pmp=$list[0];
	$name=$list[1];
	$idikotita=$list[2];
	$wr=$list[3];
	$access=$list[4];
	$kinito=$list[5];
	$tota=$list[6];
	$sign=$pmp.".jpg";
	$pw=$_POST['pw'];
	$hps=$_POST['hp'];
	if ($_POST['hp'] <> 0){$pass= password_hash($pw, PASSWORD_DEFAULT);} else {$pass=$pw;}
	$row=join('</td><td>',$list);
	$numa=0;
	$sql="INSERT INTO teachers(PMP,Name,pass,idikotita,workhrs,access,kinito,sign,totanapl) VALUES ('$pmp','$name','$pass','$idikotita','$wr','$access','$kinito','$sign','$tota')";
	
	$sql   = str_replace("'NULL'", 'NULL', $sql);
	echo "<tr><td>" . $row . "</td>";
	if($i>0) {
		echo "<td>" . $sql . "</td>";
		if(mysqli_query($con,$sql)===TRUE) {
			echo "<td>OK</td>";
		} else {
			echo "<td>" . mysqli_error($con) . "</td>";
		}
	}
	echo "</tr>\n";
	$i++;
  }
        echo "</table>\n";

fclose($fd);

    } else {
        echo "ΔΕΝ ΕΓΙΝΕ Η ΦΟΡΤΩΣΗ ΤΟΥ ΑΡΧΕΙΟΥ.";
    }
}
?>
<br /><br />

<a  href=<?php echo $menu; ?>  style="color:blue "  > <button>  Επιστροφή στο Μενού  </a>
</body>
</html>
